Prepaid Types
Prepaid payment categories for externally-paid tabs (e.g. third-party channels)
Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Query Parameters
Filter by location ID (required)
Include archived rows
falseResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/prepaid-types"{ "status": "success", "data": { "prepaidTypes": [ { "id": "string", "locationId": 0, "code": "string", "label": "string", "sortOrder": 0, "costCenterId": 0, "inheritToChildren": true, "requiresComment": true, "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= length1 <= length0Share this type with descendant locations
falseResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/prepaid-types" \ -H "Content-Type: application/json" \ -d '{ "locationId": 0, "code": "string", "label": "string" }'{ "status": "success", "data": { "id": "string", "locationId": 0, "code": "string", "label": "string", "sortOrder": 0, "costCenterId": 0, "inheritToChildren": true, "requiresComment": true, "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Prepaid-type UUID
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/prepaid-types/string"{ "status": "success", "data": { "id": "string", "locationId": 0, "code": "string", "label": "string", "sortOrder": 0, "costCenterId": 0, "inheritToChildren": true, "requiresComment": true, "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Prepaid-type UUID
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/prepaid-types/string"nullAuthorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Prepaid-type UUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= length1 <= lengthShare this type with descendant locations
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/prepaid-types/string" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "id": "string", "locationId": 0, "code": "string", "label": "string", "sortOrder": 0, "costCenterId": 0, "inheritToChildren": true, "requiresComment": true, "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}